Debian Bug report logs - #582741
lintian: [checks/nmu] Team uploads.

version graph

Package: lintian; Maintainer for lintian is Debian Lintian Maintainers <lintian-maint@debian.org>; Source for lintian is src:lintian.

Reported by: Charles Plessy <plessy@debian.org>

Date: Sun, 23 May 2010 10:03:01 UTC

Severity: wishlist

Tags: patch

Found in version lintian/2.4.1

Fixed in version lintian/2.4.2

Done: Russ Allbery <rra@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, plessy@debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#582741; Package lintian. (Sun, 23 May 2010 10:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
New Bug report received and forwarded. Copy sent to plessy@debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>. (Sun, 23 May 2010 10:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lintian: [checks/nmu] Team uploads.
Date: Sun, 23 May 2010 19:02:58 +0900
[Message part 1 (text/plain, inline)]
Package: lintian
Version: 2.4.1
Severity: wishlist
Tags: patch

Dear Lintian maintainers,

the concept of team uploads has been discussed a couple of times on
debian-devel, and is finally making its way in the Developers Reference. You
can find more informations in the following wiki page:

http://wiki.debian.org/TeamUpload

I attached to this report a patch to lintian, that integrates team uploads in
checks/nmu.

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan
[team-upload.patch (text/x-diff, attachment)]

Added tag(s) pending. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Mon, 28 Jun 2010 02:42:04 GMT) Full text and rfc822 format available.

Reply sent to Russ Allbery <rra@debian.org>:
You have taken responsibility. (Mon, 28 Jun 2010 05:33:18 GMT) Full text and rfc822 format available.

Notification sent to Charles Plessy <plessy@debian.org>:
Bug acknowledged by developer. (Mon, 28 Jun 2010 05:33:18 GMT) Full text and rfc822 format available.

Message #12 received at 582741-close@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 582741-close@bugs.debian.org
Subject: Bug#582741: fixed in lintian 2.4.2
Date: Mon, 28 Jun 2010 05:32:10 +0000
Source: lintian
Source-Version: 2.4.2

We believe that the bug you reported is fixed in the latest version of
lintian, which is due to be installed in the Debian FTP archive:

lintian_2.4.2.dsc
  to main/l/lintian/lintian_2.4.2.dsc
lintian_2.4.2.tar.gz
  to main/l/lintian/lintian_2.4.2.tar.gz
lintian_2.4.2_all.deb
  to main/l/lintian/lintian_2.4.2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 582741@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Russ Allbery <rra@debian.org> (supplier of updated lintian package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 27 Jun 2010 22:08:59 -0700
Source: lintian
Binary: lintian
Architecture: source all
Version: 2.4.2
Distribution: unstable
Urgency: low
Maintainer: Debian Lintian Maintainers <lintian-maint@debian.org>
Changed-By: Russ Allbery <rra@debian.org>
Description: 
 lintian    - Debian package checker
Closes: 575661 580082 580494 580700 581314 582353 582741 582804 583555 584743 586877 586984 587209
Changes: 
 lintian (2.4.2) unstable; urgency=low
 .
   The "Policy 3.9.0" release.
 .
   * Summary of tag changes:
     + Added:
       - arch-wildcard-in-binary-package
       - bad-provided-package-name
       - conflicts-with-version
       - copyright-refers-to-deprecated-bsd-license-file
       - init.d-script-depends-on-unknown-virtual-facility
       - team-upload-has-incorrect-version-number
       - xc-package-type-in-debian-control (pedantic)
     + Removed:
       - arch-any-in-binary-pkg (now in arch-wildcard-in-binary-package)
       - package-type-in-debian-control
 .
   * checks/changes-file.desc:
     + [RA] Add references for file-size-mismatch-in-changes-file and
       checksum-mismatch-in-changes-file.
   * checks/control-file{,.desc}:
     + [RA] Remove package-type-in-debian-control now that dpkg-dev handles
       it as desired by the d-i team.  xc-package-type-in-debian-control
       replaces it as a pedantic check to encourage switching to the
       official name.  Thanks, Raphael Hertzog.
     + [RA] Add reference for debian-control-with-duplicate-fields.
   * checks/copyright-file{,.desc}:
     + [RA] Deprecate references to /usr/share/common-licenses/BSD in
       debian/copyright following the change in Policy 3.8.5.
   * checks/fields{,.desc}:
     + [RA] Allow Breaks without a version if the broken package is a
       virtual package.
     + [RG] Check for invalid package names in provided (virtual)
       packages.
     + [RG] Exclude dash from the depends-on-essential-package checks, as
       per discusion in debian-devel.  (Closes: #587209)
     + [RA] Allow architecture wildcards in build relations and in the
       Architecture field of binary and source packages.  (Closes: #582804)
     + [RA] Rename arch-any-in-binary-pkg to arch-wildcard-in-binary-package
       and diagnose any architecture wildcard, not just "any".
     + [RA] Warn of using Conflicts with a version, which should normally
       be Breaks instead, but only at wild-guess certainty for now.
   * checks/huge-usr-share{,.desc}:
     + [RA] Count file size from the tar listing rather than using du.  The
       results of du vary based on file system and other factors and make
       the tag difficult to test.
   * checks/init.d{,.desc}:
     + [RG] Check for init.d scripts depending on unknown virtual
       facilities.
     + [RA] Remove checkroot from the list of scripts that should use a
       virtual dependency since $local_fs is not quite the same and some
       packages (cryptsetup) care about the difference.  (Closes: #580082)
   * checks/manpages{,.desc}:
     + [RA] Run man page checks using the en_US.UTF-8 locale now that we
       guarantee it exists.  Should hopefully fix occasional problems with
       col complaining about bad multibyte characters.  (Closes: #575661)
   * checks/menu-format.desc:
     + [RA] Fix typo in long description of duplicated-key-in-desktop-entry.
       Thanks, Niels Thykier.  (Closes: #580700)
   * checks/menus:
     + [RG] Recognise call to update-menus when using 'exec.'
     + [RA] Skip Haskell library documentation when warning about
       documentation not registered with doc-base.  Patch from Erik de
       Castro Lopo.  (Closes: #586877)
   * checks/nmu{,.desc}:
     + [RA] Recognize team uploads and do not treat them like NMUs.  Patch
       from Charles Plessy.  (Closes: #582741)
   * checks/rules.desc:
     + [RA] Add reference for debian-rules-makemaker-prefix-is-deprecated.
   * checks/scripts:
     + [RG] Correctly handle variables at the beginning of a call to
       dpkg-divert.  Thanks, Andreas Beckmann.  (Closes: #586984)
 .
   * collection/objdump-info:
     + [RG] Disable etch compatibility code.
   * collection/strings:
     + [RG] Correctly handle ELF binaries with whitespaces in their name.
       (LP: #540342)
 .
   * data/fields/architectures:
     + [RG] Refresh against dpkg 1.15.7.2.  (Closes: #581314, #584743)
   * data/fields/virtual-packages:
     + [RA] Update to current unstable and add the old xserver-xorg video
       and input virtual packages.
   * data/files/locale-codes:
     + [RG] Refresh to reflect change to private/refresh-locale-codes.
   * data/files/triplets:
     + [RG] Refresh against dpkg 1.15.7.2.
   * data/init.d/virtual_facilities
     + [RG] New list of virtual facilities that exist in the archive.
   * data/output/ftp-master-fatal:
     + [RA] Remove arch-any-in-binary-pkg.
   * data/output/manual-references:
     + [RA] Update against latest Debian Policy and devref.
   * data/spelling/corrections:
     + [RG] Add more spelling corrections.
   * data/spelling/corrections-case:
     + [RG] Add capitalization correction for OAuth.  (Closes: #582353)
   * data/standards-version/release-dates:
     + [RA] Add Debian Policy 3.9.0.
 .
   * frontend/lintian:
     + [RA] Set a PATH of /bin:/usr/bin if PATH is completely unset.
       Thanks, Carsten Hey.
 .
   * lib/Lintian/Collect/Binary.pm:
     + [RG] Correctly handle ELF binaries with whitespaces in their name.
   * lib/Lintian/Relation.pm:
     + [RA] Rather than allowing only a package name or a substvar, allow
       substvars mixed into the package name.  (Closes: #580494)
   * lib/Lintian/Schedule.pm:
     + [ADB] Add missing "use Lintian::Output", required for the use of
       warning().  (Closes: #583555)
 .
   * private/refresh-insserv-data:
     + [RG] New script to collect insserv data from the archive.
   * private/refresh-locale-codes:
     + [RG] Print elements with values only once.
   * private/refresh-virtual-packages-data:
     + [RA] Fix handling of # Keep: lines to work correctly now that
       virtual packages mentioned only once are excluded.
Checksums-Sha1: 
 f1fe4d66f02096524586e714157251b9e88b05e1 1213 lintian_2.4.2.dsc
 d961ffb26d9ed955cc32bd820665c93d6afc57cd 843416 lintian_2.4.2.tar.gz
 dd6690dc41063019098ccb09d6e255cc184eccc3 548716 lintian_2.4.2_all.deb
Checksums-Sha256: 
 3e60442a2433e706784df1530db70a2418645750c0f671e3e5341c3e008c0343 1213 lintian_2.4.2.dsc
 775d3645d1e6a351c823b785ee48d4b43409bc7a90ad92fabf3fbcc9cddfc158 843416 lintian_2.4.2.tar.gz
 c8dc5194e6618ec3a89cc695a4b64d0a5989c97805ab20985ad621b33422fcc9 548716 lintian_2.4.2_all.deb
Files: 
 897fad4087c11ffe2e5ca2fd138337e2 1213 devel optional lintian_2.4.2.dsc
 68d8479e1ce8db8d5bb438eae94c23cb 843416 devel optional lintian_2.4.2.tar.gz
 75779ce4b3e704cb966434fcf0d2c5eb 548716 devel optional lintian_2.4.2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkwoL4AACgkQ+YXjQAr8dHZJFACfVVjRPXy97iMmLbdyy+DLFF6O
W7QAoMjUacjvBVVXCrmqTW4GaJoDD+jk
=w6Tz
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 05 Aug 2010 07:36:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:07:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.